PHP 7.2.6 and 7.1.18 for Debian 8 and 9 released
Posted on: 06/12/2018 06:51 AM

Ondřej Surý has finally released PHP 7.2.6 and 7.1.18 packages for both Debian GNU/Linux 8 and 9

Version 7.1.18
FPM:
Fixed bug #76075 --with-fpm-acl wrongly tries to find libacl on FreeBSD.

intl:
Fixed bug #74385 (Locale::parseLocale() broken with some arguments).

Opcache:
Fixed bug #76205 (PHP-FPM sporadic crash when running Infinitewp).
Fixed bug #76275 (Assertion failure in file cache when unserializing empty try_catch_array).
Fixed bug #76281 (Opcache causes incorrect "undefined variable" errors).

Reflection:
Fixed arginfo for array_replace(_recursive) and array_merge(_recursive).


Version 7.2.6
EXIF:
Fixed bug #76164 (exif_read_data zend_mm_heap corrupted).

FPM:
Fixed bug #76075 --with-fpm-acl wrongly tries to find libacl on FreeBSD.

intl:
Fixed bug #74385 (Locale::parseLocale() broken with some arguments).

Opcache:
Fixed bug #76205 (PHP-FPM sporadic crash when running Infinitewp).
Fixed bug #76275 (Assertion failure in file cache when unserializing empty try_catch_array).
Fixed bug #76281 (Opcache causes incorrect "undefined variable" errors).

Reflection:
Fixed arginfo of array_replace(_recursive) and array_merge(_recursive).

Session:
Fixed bug #74892 (Url Rewriting (trans_sid) not working on urls that start with "#").

To add the deb.sury.org PHP repository to your Debian installation, run as root:
apt-get install apt-transport-https lsb-release ca-certificates
wget -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg
sh -c 'echo "deb https://packages.sury.org/php/ $(lsb_release -sc) main" > /etc/apt/sources.list.d/php.list'
apt-get update


To install PHP 7.2 with MySQL/MariaDB and php-fpm support:
apt-get install php7.2-cgi php7.2-gd php7.2-curl php7.2-imap php7.2-sqlite3 php7.2-mysql php7.2-tidy php7.2-pspell php7.2-recode php7.2-xml php7.2-intl php7.2-enchant php7.2-gmp php7.2-mbstring php7.2-soap php7.2-xmlrpc php7.2-zip php7.2-fpm

Please note that the mcrypt package is no longer available after the support has been removed from PHP 7.2


Printed from Linux Compatible (https://www.linuxcompatible.org/news/story/php_7_2_6_and_7_1_18_for_debian_8_and_9_released.html)